include("../src/simulations.jl")

sampling_distribution=Simulation(
    system=ensemble3d,
    h=0,
    M=5000,
    N=1000,
    description="Sampling beta distribution",
    execution=simulatebetadistribution,
    outdir=DATADIR*"field_dist/"
)

execute(sampling_distribution)