
include("../src/simulations.jl")

outdir=DATADIR*"norm_rabi/"
N=10
λ=0.15

sim_list=[]
simulaterabienvelope(sim)=simulaterabienvelope(sim,N,λ)

param_set=[10,20,50,100,200]
# 3D
# for h in param_set
#     sim3d=Simulation(system=ensemble3d,
#         h=h, t1=0, t2=3000, dt = 8π,
#         M=2000, N=500,
#         description="3D rabi envelope, h=$h", 
#         outdir=outdir,
#         execution=simulaterabienvelope)
#     push!(sim_list, sim3d)
# end

# 2D
# for h in param_set
#     sim2d=Simulation(system=ensemble2d,
#         h=h, t1=0, t2=3000, dt = 8π,
#         M=3000, N=500,
#         description="2D rabi envelope, h=$h", 
#         outdir=outdir,
#         execution=simulaterabienvelope)
#     push!(sim_list, sim2d)
# end

# 1D
# for h in param_set
#     sim1d=Simulation(system=ensemble1d,
#         h=h, t1=0, t2=3000, dt = 8π,
#         M=8000, N=500,
#         description="1D rabi envelope, h=$h", 
#         outdir=outdir,
#         execution=simulaterabienvelope)
#     push!(sim_list, sim1d)
# end


# continuous nutation
# 1D
for h in (5, 10, 20, 50)
    sim3d=Simulation(system=ensemble3d,
        h=h, t1=0, t2=10*pi/h, dt = π/(10h),
        M=2000, N=500,
        description="3D rabi nutation, h=$h", 
        outdir=outdir,
        execution=simulaterabienvelope)
    push!(sim_list, sim3d)
end

@assert length(unique(map(id,sim_list)))==4
map(execute, sim_list)
