
include("../src/simulations.jl")

outdir=DATADIR*"log_rabi/"
N=10
λ=0.15
fixedlogscalerabi(x) = simulatelogscalerabi(x, N, λ)

sim_list=[]

## 3D
# param_set=[(10, 1e3),(20, 2e3),(50,4e3),(100,1e4),(200,2e4)]
# param_set=[(200,1e4)]
# for (h,M) in param_set
#     sim3d=Simulation(system=ensemble3d,
#         h=h, t1=0,t2=1e10,nt=500,
#         M=M, N=500,
#         description="3D log-scale rabi, h=$h", 
#         outdir=outdir,
#         execution=fixedlogscalerabi)

#     if h==10
#         sim3d.t2=1e6
#     end
    
#     push!(sim_list, sim3d)
# end

## 2D
# param_set=[(100,5e3),(200,1e4)]#(10, 1e3),(20, 2e3),(50,4e3),
# for (h,M) in param_set
#     sim2d=Simulation(system=ensemble2d,
#         h=h, t1=0, t2=1e9, nt=500,
#         M=M, N=500,
#         description="2D log-scale rabi, h=$h", 
#         outdir=outdir,
#         execution=fixedlogscalerabi)

#     push!(sim_list, sim2d)
# end

## 1D
param_set=[(10,2e3)]#,(200,1e4), (10, 1e3),(20, 2e3),(50,4e3),
for (h,M) in param_set
    sim1d=Simulation(system=ensemble1d,
        h=h,t1=0,t2=1e9,nt=500,
        M=M, N=500,
        description="1D log-scale rabi, h=$h", 
        outdir=outdir,
        execution=fixedlogscalerabi)
        
    push!(sim_list, sim1d)
end

@assert length(unique(map(id,sim_list)))==1
map(execute, sim_list)
